## q2cli 2019.4.0

=== Makefile ===
.PHONY: all lint test install dev clean distclean

PYTHON ?= python
PREFIX ?= $(CONDA_PREFIX)

all: ;

lint:
	q2lint
	flake8

test: all
	QIIMETEST= nosetests

install: all
	$(PYTHON) setup.py install && \
	mkdir -p $(PREFIX)/etc/conda/activate.d && \
	cp hooks/50_activate_q2cli_tab_completion.sh $(PREFIX)/etc/conda/activate.d/

dev: all
	pip install -e . && \
	mkdir -p $(PREFIX)/etc/conda/activate.d && \
	cp hooks/50_activate_q2cli_tab_completion.sh $(PREFIX)/etc/conda/activate.d/

clean: distclean

distclean: ;

=== debian/changelog ===
q2cli (2019.4.0-1) unstable; urgency=medium

  * New upstream version

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Thu, 13 Jun 2019 19:22:21 +0200

q2cli (2019.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #925400)

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Mon, 11 Mar 2019 10:07:52 +0200

=== debian/control ===
Source: q2cli
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>
Build-Depends: debhelper (>= 12~),
               dh-python,
               python3,
               python3-setuptools,
               qiime,
               python3-click,
               python3-nose
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/q2cli
Vcs-Git: https://salsa.debian.org/med-team/q2cli.git
Homepage: https://qiime2.org/

Package: q2cli
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         qiime,
         python3-setuptools,
         python3-click
Description: Click-based command line interface for QIIME 2
 QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
 package with a focus on data and analysis transparency. QIIME 2 enables
 researchers to start an analysis with raw DNA sequence data and finish with
 publication-quality figures and statistical results.
 Key features:
  * Integrated and automatic tracking of data provenance
  * Semantic type system
  * Plugin system for extending microbiome analysis functionality
  * Support for multiple types of user interfaces (e.g. API, command line,
 graphical)
 .
 QIIME 2 is a complete redesign and rewrite of the QIIME 1 microbiome analysis
 pipeline. QIIME 2 will address many of the limitations of QIIME 1, while
 retaining the features that makes QIIME 1 a powerful and widely-used analysis
 pipeline.
 .
 QIIME 2 currently supports an initial end-to-end microbiome analysis pipeline.
 New functionality will regularly become available through QIIME 2 plugins. You
 can view a list of plugins that are currently available on the QIIME 2 plugin
 availability page. The future plugins page lists plugins that are being
 developed.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk
# this provides:
# DEB_SOURCE: the source package name
# DEB_VERSION: the full version of the package (epoch + upstream vers. + revision)
# DEB_VERSION_EPOCH_UPSTREAM: the package's version without the Debian revision
# DEB_VERSION_UPSTREAM_REVISION: the package's version without the Debian epoch
# DEB_VERSION_UPSTREAM: the package's upstream version
# DEB_DISTRIBUTION: the distribution(s) listed in the current entry of debian/changelog
# SOURCE_DATE_EPOCH: the source release date as seconds since the epoch, as
#                    specified by <https://reproducible-builds.org/specs/source-date-epoch/>

# for hardening you might like to uncomment this:
# export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	LC_ALL=C.UTF-8 dh_auto_test -- -s custom --test-args='cd {build_dir}; HOME=${CURDIR} QIIMETEST= nosetests3'
endif

override_dh_install:
	dh_install
	mkdir -p debian/$(DEB_SOURCE)/usr/share/bash-completion/completions
	mv debian/$(DEB_SOURCE)/usr/bin/tab-qiime debian/$(DEB_SOURCE)/usr/share/bash-completion/completions/qiime

=== debian/watch ===
version=4

https://github.com/qiime2/q2cli/releases/latest .*/archive/(\d[.\d]+)@ARCHIVE_EXT@

## q2cli 2019.10.0

=== debian/changelog ===
q2cli (2019.10.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.4.1
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

  [ Liubov Chuprikova ]
  * Needs qiime (>= 2019.10.0)

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Sun, 15 Dec 2019 00:28:25 +0100

q2cli (2019.7.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0

  [ Liubov Chuprikova ]
  * Update publication
  * Needs qiime (>= 2019.7.0)

 -- Andreas Tille <tille@debian.org>  Fri, 02 Aug 2019 23:13:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: q2cli
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>
 Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3,
                python3-setuptools,
-               qiime,
+               qiime (>= 2019.10.0),
                python3-click,
-               python3-nose
-Standards-Version: 4.3.0
+               python3-nose,
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/q2cli
 Vcs-Git: https://salsa.debian.org/med-team/q2cli.git
 Homepage: https://qiime2.org/

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	LC_ALL=C.UTF-8 dh_auto_test -- -s custom --test-args='cd {build_dir}; HOME=${CURDIR} QIIMETEST= nosetests3'
endif

override_dh_install:
	dh_install
	mkdir -p debian/$(DEB_SOURCE)/usr/share/bash-completion/completions
	mv debian/$(DEB_SOURCE)/usr/bin/tab-qiime debian/$(DEB_SOURCE)/usr/share/bash-completion/completions/qiime

## q2cli 2020.11.1

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	flake8
 
 test: all
-	QIIMETEST= nosetests
+	QIIMETEST= pytest
 
 install: all
 	$(PYTHON) setup.py install && \

=== debian/changelog ===
q2cli (2020.11.1-1) unstable; urgency=medium

  * Added enough tests do drop the "superficial" marker.  (Closes: #976271)
  * Add myself to Uploaders.
  * Bump dependency on qiime (>= 2020.11.1)

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Sat, 12 Dec 2020 11:09:49 +0100

q2cli (2020.11.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Submit.
  * Add build time test dependency on python3-pytest.
  * Bump dependency on qiime >= 2020.11.0
  * Simplified build time test suite invocation since upstream's move to pytest.
  * Mark current autopkgtest as superficial.
  * Remove hashbang in bash autocompletion script.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Wed, 02 Dec 2020 15:09:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,29 @@
 Source: q2cli
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>
+Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>,
+           Étienne Mollier <etienne.mollier@mailoo.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
+               python3-pytest <!nocheck>,
                python3-setuptools,
-               qiime (>= 2019.10.0),
+               qiime (>= 2020.11.1),
                python3-click,
                python3-nose,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/q2cli
 Vcs-Git: https://salsa.debian.org/med-team/q2cli.git
 Homepage: https://qiime2.org/
+Rules-Requires-Root: no
 
 Package: q2cli
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python3:Depends},
-         qiime,
+         qiime (>= 2020.11.1),
          python3-setuptools,
          python3-click
 Description: Click-based command line interface for QIIME 2

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8
export QIIMETEST=1

include /usr/share/dpkg/default.mk

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	mkdir -p debian/$(DEB_SOURCE)/usr/share/bash-completion/completions
	mv debian/$(DEB_SOURCE)/usr/bin/tab-qiime debian/$(DEB_SOURCE)/usr/share/bash-completion/completions/qiime
	chmod -x debian/$(DEB_SOURCE)/usr/share/bash-completion/completions/qiime

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, q2-sample-classifier, q2-feature-table, file
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d[\d.]+@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
https://github.com/qiime2/q2cli/releases/latest .*/archive/(\d[.\d]+)@ARCHIVE_EXT@

## q2cli 2021.8.0

=== debian/changelog ===
q2cli (2021.8.0-2) unstable; urgency=medium

  * Team upload.
  * Modify upstream changes to make package compat
    with click 8.0 (Closes: #997488)
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 28 May 2022 13:25:10 +0530

q2cli (2021.8.0-1) unstable; urgency=medium

  * Team upload.

  [ Étienne Mollier ]
  * Add dependency on q2-feature-table (>= 2020.11.1).
  * d/control: updated uploader address
  * d/watch: fixed broken url to github

  [ Steffen Moeller ]
  * New upstream version, adjusted patches.
  * Standards-Version: 4.6.0 (routine-update)

  [ Andreas Tille ]
  * Versioned Dependency from qiime and modules (>= 2021.8.0)

 -- Andreas Tille <tille@debian.org>  Wed, 29 Sep 2021 14:14:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: q2cli
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>,
-           Étienne Mollier <etienne.mollier@mailoo.org>
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -9,10 +9,10 @@
                python3,
                python3-pytest <!nocheck>,
                python3-setuptools,
-               qiime (>= 2020.11.1),
+               qiime (>= 2021.8.0),
                python3-click,
-               python3-nose,
-Standards-Version: 4.5.1
+               python3-nose
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/q2cli
 Vcs-Git: https://salsa.debian.org/med-team/q2cli.git
 Homepage: https://qiime2.org/
@@ -23,7 +23,8 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python3:Depends},
-         qiime (>= 2020.11.1),
+         q2-feature-table (>= 2021.8.0),
+         qiime (>= 2021.8.0),
          python3-setuptools,
          python3-click
 Description: Click-based command line interface for QIIME 2

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, q2-sample-classifier, file
Restrictions: allow-stderr

## q2cli 2022.8.0

=== debian/changelog ===
q2cli (2022.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2022.8.0
  * Drop d/p/fix-click8.patch: merged upstream
  * Bump versioned Build-Depends: qiime (>= 2022.8.0)
  * Ignore test_usage.py during build time tests as the package
    cannot be checked for usability w/o installing. (Closes: #1015136)
    Usage is being properly validated in autopkgtests
  * Drop B-D on python3-nose (Closes: #1018606)
  * d/t/run-unit-test: Update config file as per new q2cli (fixes autopkgtest)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 05 Sep 2022 13:56:16 +0000

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,8 @@
                python3,
                python3-pytest <!nocheck>,
                python3-setuptools,
-               qiime (>= 2021.8.0),
-               python3-click,
-               python3-nose
+               qiime (>= 2022.8.0),
+               python3-click
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/q2cli
 Vcs-Git: https://salsa.debian.org/med-team/q2cli.git

## q2cli 2022.11.1

=== debian/changelog ===
q2cli (2022.11.1-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Andreas Tille <tille@debian.org>  Tue, 24 Jan 2023 18:43:59 +0100

q2cli (2022.11.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Bump versioned Depends
  * Standards-Version: 4.6.2 (routine-update)
  * Test-Depends: python3-sklearn

 -- Andreas Tille <tille@debian.org>  Thu, 12 Jan 2023 18:43:42 +0100

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
                python3,
                python3-pytest <!nocheck>,
                python3-setuptools,
-               qiime (>= 2022.8.0),
+               qiime (>= 2022.11.1),
                python3-click
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/q2cli
 Vcs-Git: https://salsa.debian.org/med-team/q2cli.git
 Homepage: https://qiime2.org/
@@ -22,8 +22,8 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python3:Depends},
-         q2-feature-table (>= 2021.8.0),
-         qiime (>= 2021.8.0),
+         q2-feature-table (>= 2021.11.1),
+         qiime (>= 2021.11.1),
          python3-setuptools,
          python3-click
 Description: Click-based command line interface for QIIME 2

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 export QIIMETEST=1
 
 include /usr/share/dpkg/default.mk
+export PYBUILD_TEST_ARGS=--ignore=q2cli/tests/test_usage.py
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, q2-sample-classifier, file, python3-sklearn
Restrictions: allow-stderr

## q2cli 2024.5.0

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,10 @@
 test: all
 	QIIMETEST= pytest
 
+# install pytest-xdist plugin for the `-n auto` argument.
+mystery-stew: all
+	MYSTERY_STEW= pytest -k mystery_stew -n auto
+
 install: all
 	$(PYTHON) setup.py install && \
 	mkdir -p $(PREFIX)/etc/conda/activate.d && \

=== debian/changelog ===
q2cli (2024.5.0-2) unstable; urgency=medium

  * Team upload.
  * d/test/control: skip autopkgtests on archs where python3-skbio is
    not available

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 27 Jun 2024 13:57:07 +0200

q2cli (2024.5.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Make the build reproducible
    Closes: #1066085

  [ Michael R. Crusoe ]
  * Regenerate debian/control from debian/control.in (routine-update)
  * d/patches/configparser.patch: copy from qiime packaging
  * Only build for Python 3.11 until upstream catches up with Python
    3.12.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 25 Jun 2024 03:52:20 +0200

q2cli (2024.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Generate debian/control automatically to refresh version number
  * Drop test using options that was removed

 -- Andreas Tille <tille@debian.org>  Sun, 18 Feb 2024 18:09:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,3 +1,4 @@
+# This file is autogenerated from control.in to update versioned dependencies
 Source: q2cli
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>,
@@ -5,11 +6,11 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               python3,
+               dh-sequence-python3,
+               python3-all,
                python3-pytest <!nocheck>,
                python3-setuptools,
-               qiime (>= 2022.11.1),
+               qiime (>= 2024.5),
                python3-click
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/q2cli
@@ -22,8 +23,8 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python3:Depends},
-         q2-feature-table (>= 2021.11.1),
-         qiime (>= 2021.11.1),
+         q2-feature-table (>= 2024.5),
+         qiime (>= 2024.5),
          python3-setuptools,
          python3-click
 Description: Click-based command line interface for QIIME 2

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8
export QIIMETEST=1

include /usr/share/dpkg/default.mk
VERSION_UPSTREAM=$(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\(20[0-9][0-9]\.[0-9]\+\)\..*/\1/')

export PYBUILD_TEST_ARGS=--ignore=q2cli/tests/test_usage.py
export PYBUILD_DISABLE=python3.12

%:
	dh $@ --buildsystem=pybuild

debian/control: debian/control.in
	echo "# This file is autogenerated from control.in to update versioned dependencies" > $@
	sed -e"s/@DEB_VERSION_UPSTREAM@/$(VERSION_UPSTREAM)/g" $< >> $@

override_dh_install:
	dh_install
	mkdir -p debian/$(DEB_SOURCE)/usr/share/bash-completion/completions
	mv debian/$(DEB_SOURCE)/usr/bin/tab-qiime debian/$(DEB_SOURCE)/usr/share/bash-completion/completions/qiime
	chmod -x debian/$(DEB_SOURCE)/usr/share/bash-completion/completions/qiime
	find debian/$(DEB_SOURCE) -type f -name parsl.log -delete

debian/control: debian/control.in
	echo "# This file is autogenerated from control.in to update versioned dependencies" > $@
	sed -e"s/@DEB_VERSION_UPSTREAM@/$(VERSION_UPSTREAM)/g" $< >> $@

# FIXME: similarly to the qiime package, the build time testing fails, as the
#        Qiime plugin system is not fully available at this point of the package
#        construction.  The test suite is only run at autopkgtest time, but this
#        is not ideal, since the only tested python version is the default one.
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test --no-parallel || true
endif

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, q2-sample-classifier, file, python3-sklearn, python3-all
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
	https://github.com/qiime2/q2cli/tags \
	(?:.*?/)?v?(\d[\d.]*)\.tar\.gz
